import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://raw.githubusercontent.com/open-data-kazakhstan/geo-boundaries-kz/master/data/geojson/kz_1.json';

export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { eer } = topology.objects;
    	setData({
        regions: feature(topology, eer),
        interiors: mesh(topology, eer, (a, b) => a !== b)
      });
    });
  }, []);
  
  return data;
};